Intel vPro® Platform
Intel Manageability Forum for Intel® EMA, AMT, SCS & Manageability Commander
2849 Discussions

Error on Upgrading from 1.3.3.1 to 1.7.0.0

citynews
Beginner
5,269 Views

Hello,

 

we are trying to upgrade our Intel Ema Installation from 1.3.3.1 to 1.7.0.0.

The installer ask for the installation of Dot.Net 4.8.

We have installed it and the insttallation process has started.

After the part about the database, it begin the Certificate creation and the process has stopped with the following error: error creating intel ema root certificate

 

How can I solve the problem?

 

Thanks a lot

0 Kudos
23 Replies
JoseH_Intel
Moderator
4,505 Views

Hello citynews,

 

Thank you for joining the Intel community

 

You are attempting to upgrade from an older version (v1.3) to the latest one. The initial recommendation would be to upgrade from v1.3 to v1.4 and then to v1.7. You can also try to do a full uninstall of v1.3 and then clean install v1.7.

 

You can also try the following:

The upgrade process from version 1.3.0 requires enabling the option called Agent auto-update in the Swarm Server (enabled by default ).

The path of the option is EMA portal>Settings>Swarm Server My Document (intel.com)

 

Hope this helps

 

Regards

 

Jose A.

Intel Customer Support Technician

 

 

0 Kudos
citynews
Beginner
4,460 Views

i havent find the version 1.4 in web.its possible to have a link for this version.the only link that i find is the 1.7.tks verymuch

0 Kudos
JoseH_Intel
Moderator
4,456 Views

Hello citynews,

 

I just double-checked and it should be perfectly fine to upgrade from v1.3.3.1 to 1.7.0.0. Besides that, as you already discovered, there are no earlier versions available to download anymore.

 

Regards

 

Jose A.

Intel Customer Support Technician


0 Kudos
citynews
Beginner
4,445 Views

but if use the upgrade then give me that error.if unistall the 1.3 and then istall 1.7 can i use my database?I need the endpoints and i cant reassociate.tks

0 Kudos
citynews
Beginner
4,431 Views

i try many times and i try to istalla via command line but there allways the same message:

Create default install settings.
WebTls set to True
Start creating Intel® EMA settings certificate.
Intel® EMA settings certificate created
Using Settings Cert: MeshSettingsCertificate-CE44A54E.
AESGCM Master key created.
Error creating Intel® EMA Root certificate.
Install type value fetched from the database: DefaultMode

 i dont know how can i do

0 Kudos
smolisso
Novice
4,387 Views

Hello Jose,

 

for the installation from the CLI, we have launched this command, found inside the installation manual:

EMAServerInstaller FULLINSTALL --updateinstalltype=single --accepteula -c -v

 

It starts, makes a lot of operations on the database and terminate with this three lines:

(the one about the Error on the Certificate written in RED):

 

AESGCM Master key created.
Error creating Intel® EMA Root certificate.
Install type value fetched from the database: DefaultMode

 

I attach the Screen Shot of the Certificate Store on our Server.

This screenshot describe the situation BEFORE that I launch the installation process of the 1.7.0.0.

If I relaunch the installation, after that fails with the error described, a new MeshSettingsCertificate with an expiration date of 2042, is created.

 

The Operating System is Windows Server 2016 Standard.

The Database is SQL Server 2019 (15.0.2080.9).

 

We don't know what else to try. There doesn't seem to be a logical explanation for the error.

 

Thanks a lot

 

Stefano

0 Kudos
JoseH_Intel
Moderator
4,369 Views

Hello citynews,

 

In earlier versions of the EMA installer (1.5.x and earlier) it was required to create the database during the installation process. This generated some issues and was deprecated in later versions (1.6.x+)

Do you have the option to NOT create the database during the installation (update) process?

 

Regards

 

Jose A.

Intel Customer Support Technician


0 Kudos
citynews
Beginner
4,358 Views

Not.when i click on update it say that see my older version and do itself until give the error of rootcertificate.its impossible to find an older installation 1.4,1.5 to try?

it dont make do a choice.i have try to unistall 1.3 and use the option to leave the database and certificate but affter when itry to istall 1.7 do the same error.there is no way to exit problem.My ema 1.3 work perfectly infact when i restore the snapshop of EMA 1.3 that i have create before work all fine.this i a upgrade problem.tks
0 Kudos
JoseH_Intel
Moderator
4,346 Views

Hello citynews,

 

Let me look a bit more into it.

 

Regards

 

Jose A.

Intel Customer Support Technician


0 Kudos
smolisso
Novice
4,330 Views

Hi, 

 

we were able to find and download version 1.6.
We launched the upgrade and this time it worked without problems. 

Unfortunately, however, all our clients are "not connected".
Also when I click on an Endpoint  the error appears: Internal Server Error.
I have uploaded 3 screen shots to show the problem in detail.

We also find the version 1.5 and have the same behaviour.

The installation is successful but unfortunately all clients are offline.

 

I tried to create a new endpoint group and install a new agent associated with this endpoint group on a test PC and it worked.

It is connected, but the AMT profile does not work as it says "This endpoint is provisioned by other tool and Intel EMA does not have the record. Please use that tool or MEBx to unprovision this endpoint first". Furthermore CIRA is not connected.

In any case, having more than 130 clients, the way of reinstalling the agent and unprovisioning the AMT on each client would not be possible. So we have to understand why on our endpoint group where we have all the clients, they are all "not connected".

I leave for someone who might need the download links of versions 1.5 and 1.6:

https://downloadmirror.intel.com/646990/Ema_Install_Package_1.5.1.0.exe

https://downloadmirror.intel.com/646990/Ema_Install_Package_1.6.1.0.exe

 

Any suggestions?

 

Thank you very much

0 Kudos
JoseH_Intel
Moderator
4,318 Views

Hello citynews,

 

When you face "CIRA not connected" issues you want to follow the steps from here:

How to Troubleshoot a Client Initiated Remote Access (CIRA)... (intel.com) putting special attention to step 4 which a pretty common root cause for this issue.

 

Regards

 

Jose A.

Intel Customer Support Technician


0 Kudos
smolisso
Novice
4,309 Views

Actually, CIRA is not connected is the minor problem.

I have told you I have a problem that all our clients are "not connected".
Also when I click on an Endpoint  the error appears: Internal Server Error.
I have uploaded 3 screen shots to show the problem in detail.

 

Could you support us about that please?

 

Thanks

0 Kudos
MichaelA_Intel
Employee
4,290 Views

Hi Stefano,

 

I've been monitoring this post and would like some clarification, are you and "citynews" colleagues? I'm asking because the original poster was citynews and I can send a private message to set up an internal case to take a look at what's going on.

 

Regards,

Michael

 

0 Kudos
smolisso
Novice
4,250 Views
Yes Michael correct.
Me and Citynews are colleagues and we are working togheter on this project.
Thanks
0 Kudos
MIGUEL_C_Intel
Moderator
4,268 Views

Hello, citynews, and smolisso,


Citynews,

We are following up on this thread, do you have any updates?


Smolisso,

We would like to let you know we sent you a private message; we are interested to create an internal with the lost connection issue.


We look forward to hearing from you both.


0 Kudos
smolisso
Novice
4,249 Views
Today we have prepared a "Plan B".
I have prepared a new machine Windows Server 2019 with SQL Server 2019 and IIS and I've installed from scratch Intel Ema 1.7 without amy problem.
If we wiill be unable to solve the problem we have described, we will evaluate to migrate manually all the clients to this new server with 1.7 version.

Thanks a lot. We wait for info about the issue.

Stefano
0 Kudos
MichaelA_Intel
Employee
4,234 Views

Hey Stefano, I have citynews email, so I will send an email to his account so we can coordinate a good date and time to do some troubleshooting. I'm glad to hear that the 1.7 instance from a scratch install works. We'll take a look at the instance that you are having issues with and when we find a resolution, I will update this post with that information for the rest of the community.


Regards,

Michael


0 Kudos
citynews
Beginner
4,220 Views

ok remain in wait for your coordinate.hope to resolve the problem.we need to unprovisoning rhe old client in a simple way because are more of 125 and provision to new 1.7.the best way could be use GPO of Active directory but we try that the unistall with tool andnot allways works.its impossible for use reset intel mbex for all machine.Tks

0 Kudos
MichaelA_Intel
Employee
4,192 Views

Hi CityNews, an email was sent on the 22nd. Please let me know if you did not get it.


Regards,

Michael


0 Kudos
citynews
Beginner
4,161 Views

sorry i don't have it this email please resend me  or send me at this other mail address alessandro.giovannelli@citynews.it.tks

0 Kudos
Reply